GROUPMEMS(8)

NAMN
groupmems - administrera medlemmar av en användares primära grupp

SYNOPSIS

groupmems -a användarnamn | -d användarnamn | -l | -p | [-g gruppnamn]

BESKRIVNING

The groupmems utility allows a user to administer his/her own group membership list without the requirement of super user privileges. The groupmems utility is for systems that configure its users to be in their own name sake primary group (i.e., guest / guest).

Endast superanvändaren, som administratör, kan använda groupmems för att göra ändringar i medlemskap för andra grupper.

FLAGGOR

Flaggorna som gäller för kommandot groupmems är:

-a användarnamn
    Lägg till en ny användare till gruppens medlemslista.

-d användarnamn
    Ta bort en användare från gruppen medlemslista.

-p  Rensa alla användare från gruppens medlemslista.

-g gruppnamn
    Superanvändaren kan ange vilken grupps medlemslista som ska ändras.

-l  Lista gruppens medlemslista.

SETUP

The groupmems executable should be in mode 2770 as user root and in group groups. The system administrator can add users to group groups to allow or disallow them using the groupmems utility to manage their own group membership list.

    	$ groupadd -r groups
    	$ chmod 2770 groupmems
    	$ chown root.groups groupmems
    	$ groupmems -g groups -a gk4

FILER

/etc/group
    Gruppkontoinformation.

/etc/gshadow
    säker gruppkontoinformation

SE OCKSÅ

chfn(1), chsh(1), passwd(1), groupadd(8), groupdel(8), useradd(8), userdel(8), usermod(8).